import request from '@/utils/request'

/**
 * @data 查询参数 获取钱包余额
 */
export function getWalletBalanceAPI(data) {
  return request({
    url: '/smart-canteen/acc_info/wallet/balance',
    method: 'post',
    data
  })
}
/**
 * @data 查询参数 获取 个人二维码
 */
export function getOrderQRCodeAPI(data) {
  return request({
    url: '/smart-canteen/custInfo/getOrderQRCode',
    method: 'post',
    data
  })
}
/**
 * @data 充值参数 充值费用
 */
export function accountChargeAPI(data) {
  return request({
    url: '/smart-canteen/leopen/account/charge',
    method: 'post',
    data
  })
}
/**
 * @data 充值记录-分页
 */
export function chargeRecordApi(data) {
  return request({
    url: '/smart-canteen/acc_info/mobile/wallet/history',
    method: 'post',
	data
  })
}

/**
 * @data 小程序个人钱包充值
 */
export function personalRechargeForAppApi(data) {
  return request({
    url: '/smart-canteen/api/v3/app/accInfo/personalRechargeForApp',
    method: 'post',
    data
  })
}
 

/**
 * @data 查询账户(基础信息+余额)
 */
export function getAccountInfoApi(data) {
  return request({
    url: '/smart-canteen/api/v4/app/account/info',
    method: 'post',
    data
  })
}

/**
 * @data 查询食堂所有开启的支付方式
 */
export function listAvailPayTypeApi(data) {
  return request({
    url: '/smart-canteen/api/v2/alloc/canteen/list-avail-pay-type',
    method: 'post',
    data
  })
}

/**
 * @data 查询充值结果-状态
 */
export function getRechargeResultApi(data) {
  return request({
    url: '/smart-canteen/api/v3/app/accInfo/personalRecharge/result',
    method: 'post',
    data
  })
}
/**
 * @data 查询充值结果-充值超时重新查询充值结果
 */
export function getRechargeQueryResultApi(data) {
  return request({
    url: '/smart-canteen/api/v3/app/accInfo/recharge/overtime/query-result',
    method: 'post',
    data
  })
}

/**
 * @data 补贴钱包记录
 */
export function getSubsidyTradeListApi(data) {
  return request({
    url: '/smart-canteen/acc_info/mobile/wallet/history',
    method: 'post',
    data
  })
}

/**
 * @data 轮播图
 */
export function getCarouselImageListApi(data) {
  return request({
    url: '/smart-canteen/basic_carousel_image/list',
    method: 'get',
    params:data
  })
}


/**
 * @data 标题
 */
export function getBaseSettingByKeyApi(data) {
  return request({
    url: '/smart-canteen/basic_setting/list',
    method: 'get',
    params:data
  })
}






